Name:       ac-archive
Version:    2007.0205
Release:    0347
Distribution: Sourceforge
Group:      Development/Libraries
License:  GPL License / new BSD License / other
Requires:   autoconf
Conflicts:  autoconf-archive
Packager:   Guido U. Draheim
URL:        http://ac-archive.sourceforge.net
Summary:    autoconf extensions archive
Source0:    http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:  /tmp/%{name}-%{version}-root

%package acinclude
Summary:    autoconf extension archive for acinclude
Group:      Development/Libraries
Provides:   ac-archive
Obsoletes:  ac-archive-aclocal
Requires:   autoconf

%package tools
Summary:    autoconf extension archive tools
Group:      Development/Libraries
Requires:   python

%package doc
Summary:    autoconf extension archive documentation
Group:      Development/Libraries
Provides:   ac-archive

%description
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.

%description acinclude
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.

autoconf extensions that go into /usr/share/aclocal/ directory
packed into their subdirectories just as seen in the ac-archive
listing. You can use the `acinclude` perl-script to search the
subdirectories and create an acinclude.m4 from them. The `acinclude`
perl-script is a direct derivative of `aclocal` and should therefore
behave similar - it just searches *subdirectories of each -I dir 
and it creates acinclude.m4 instead of aclocal.m4

%description tools
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.

The tools package installs the python scripts that can scan a local
autoconf macro repository to build html pages, docbook master and
possibly unix man pages from these contained autoconf macro sources.

%description doc
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.
The package installs the macros in parallel to their extracted
documentation in $prefix/share/doc/ac-archive/*.

%prep
#'

%setup
# CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --mandir=%_mandir

%build
make all
# make doc
# make test

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
make install-tools DESTDIR=%{buildroot}

%clean
rm -rf %buildroot
rm -rf `basename %SOURCE0 .tar.bz2`

# %post -p /sbin/ldconfig

# %postun -p /sbin/ldconfig


%files acinclude
%defattr(-,root,root)
     %_datadir/aclocal/*/README
     %_datadir/aclocal/*/COPYING
     %_datadir/aclocal/*/AUTHORS
     %_datadir/aclocal/*/*.m4
     %_bindir/acinclude*
     %_mandir/*

%files tools
%defattr(-,root,root)
     %_bindir/ac_archive*
     %_libdir/python*

%files doc
%defattr(-,root,root)
%docdir %{_datadir}/doc/%{name}
        %{_datadir}/doc/%{name}/*
%docdir %{_datadir}/omf/%{name}
        %{_datadir}/omf/%{name}/*

%post doc
test ! -f /usr/bin/scrollkeeper-update || /usr/bin/scrollkeeper-update
%postun doc
test ! -f /usr/bin/scrollkeeper-update || /usr/bin/scrollkeeper-update

%post acinclude
%define cvsdir /my/own/cvs/ac-archive-5
   if test -d %cvsdir ; then
      for d in %cvsdir/* ; do
         if test -d $d ; then
            if ls $d | grep \\.m4\$ > /dev/null ; then
               echo ln -s $d %_datadir/aclocal/`basename $d`-cvs
               ln -s $d %_datadir/aclocal/`basename $d`-cvs
            fi
         fi
      done
   fi
 true
%postun acinclude
  for d in %_datadir/aclocal/*-cvs ; do
     if test -L $d; then rm $d ; fi
  done
 true



