dnl @synopsis AX_COUNT_CPUS
dnl
dnl Attempt to count the number of processors present on the machine.
dnl If the detection fails, then a value of 1 is assumed.
dnl
dnl The value is placed in the CPU_COUNT variable.
dnl
dnl @category Misc
dnl @author Michael Paul Bailey <jinxidoru@byu.net>
dnl @version 2006-10-13
dnl @license AllPermissive

AC_DEFUN([AX_COUNT_CPUS], [
    AC_REQUIRE([AC_PROG_EGREP])
    AC_MSG_CHECKING( cpu count )
    CPU_COUNT="0"
    if test -e /proc/cpuinfo; then
        CPU_COUNT=`$EGREP -c '^processor' /proc/cpuinfo`
    fi
    if test "x$CPU_COUNT" = "x0"; then
        CPU_COUNT="1"
        AC_MSG_RESULT( [unable to detect (assuming 1)] )
    else
        AC_MSG_RESULT( $CPU_COUNT )
    fi
])
