#! /usr/bin/env python
# -*- coding: utf-8 -*- 100 -*-
# @creator (C) 2003 Guido U. Draheim
# @license http://creativecommons.org/licenses/by-nc-sa/2.0/de/

def escape_html(text): # text
    return text.replace("&","&amp;").replace("<","&lt;").replace(">","&gt;")
def escape_blanks(text):
    return text.replace(" ","&nbsp;")

class ExtraFile:
    """ store plain text files """
    def __init__(self, filename, into = None):
        self.html = None
        self.scan(filename, into)
    def pagetype(self):
        return "extra"
    def html_page(self):
        return self.html
    def scan(self, filename, into = None):
        self.orig = filename
        self.text = file(filename).read()
        name = filename[:-4] # s/.txt//
        self.name = name
        self.into = into
        self.category = into

class HtmlExtraFile:
    """ never ever used - the extra files are not rendered as html """
    def __init__(self, page):
        self.page = page
        self.title = None
    def pagetype(self):
        return self.page.pagetype()
    def get_name():
        return self.page.name
    def get_title(self):
        if not self._gen_html(): return None
        return self.title
    def html_info(self):
        if not self._gen_html(): return None
        return self.htmlpageinfo
    def html_text(self):
        if not self._gen_html(): return None
        return self.htmlpage
    def _gen_html(self):
        if not self.title:
            self.gen_html()
        return True
    def gen_html(self):
        filename = os.path.basename(self.page.orig)
        self.title = "Documentation - "+filename
        self.htmlpageinfo = "("+self.page.name+")"
        self.htmlpage = style.expand(self.page.text)
    
