#! /usr/bin/env python
# -*- coding: utf-8 -*-
# @creator (C) 2003 Guido U. Draheim
# @license http://creativecommons.org/licenses/by-nc-sa/2.0/de/

""" Most of these are a bit oldish - just ported from the old
documentation pipeline written in perl. They are here for a reason,
as it's a lot easier to expand the newer python-based documentation
pipeline with some existing visual defaults - so, here they are """

import string
from match import Match

n = "\n"
br = "<br />"

href_remote = "http://autoconf-archive.cryp.to/macros-by-category.html"
name_remote = "Cryp.to Archive"

_extras_remote_cat = {
    "AM Support" : "#AUTOMAKE",
    "C++ Support" : "#CXX",
    "C Support" : "#C",
    "Cross Compilation" : "#CROSSCOMPILATION",
    "Fortran Support" : "#FORTRAN",
    "Java Support" : "#JAVA",
    "Installed Packages" : "#INSTALLEDPACKAGES",
    "Miscellaneous" : "#MISC"
    }
_extras_info_cat = {
    "C++ Support" : "Testing capabilities of the C++&nbsp;compiler",
    "C Support" : "Testing capabilities of the C&nbsp;compiler",
    "Cross Compilation" : "Useful test in a cross-compilation environment",
    "Fortran Support" : "Tests related to Fortran&nbsp;development",
    "Java Support" : "Tests related to Java&nbsp;development",
    "Installed Packages" : "Finding 3rd-party software <br /> "
    "that may be installed on the machine",
    "Miscellaneous" :
    "Everything that didn't fit into any other&nbsp;category",
    "System Headers" :
    "Testing properties of the system's header&nbsp;files and&nbsp;libraries",
    "System Utilities" :
    "Finding system utilities and properties&nbsp;of&nbsp;them",
    "Build Tools" : "Useful tools that extend Autoconf"
    "or the build&nbsp;infrastructure",
    "obsoleted" : "Obsolete Macros that will&nbsp;expire&nbsp;soon",
    "obsoleted macros" : "Obsolete Macros that will&nbsp;expire&nbsp;soon."
    }
_extras_html = {
    "title" : "AC-Archive",
    "style" : '''
    a:link          { text-decoration : none ; color : #000080 ; }
    a:visited       { text-decoration : none ; color : #200060 ; }
    ''',
    "sfnetimage" : '''
    <big><big><a href="http://ac-archive.sf.net">
       <font color="#4000C0"><b>AC</b><small>-</small><i>Archive</i></font>
    </a></big></big>
    <br /><small>Autoconf Macro Archive</small>
    ''',
    "gnuorgimage" : '''
    <a href="http://sourceforge.net/projects/ac-archive">
        <IMG src="gnu-head-sm.jpg" alt="Project" />
    </a>
    ''',
    "sfnetlinks" : '''
    <A href="http://ac-archive.sf.net">ac-archive.sf.net:</A>
    - <A href="http://sf.net/projects/ac-archive/">Project</A>
      <A href="http://sf.net/cvs/?group_id=32081">CVS</A>
    - <A href="http://sf.net/project/showfiles.php?group_id=32081">
                                    Download</A>
    ''',
    "sfbutton" : '''
      <a href="http://sourceforge.net/projects/ac-archive">
        <IMG src="http://sourceforge.net/sflogo.php?group_id=32081&type=1"
        width="88" height="31" border="0" alt="SourceForge Logo" /></a>
    ''',
    "sfversion" : '''
      <!--VERSION-->*
      ''',
    }
_extras_info = {
    "ac-archive" : '''
    <p align="right"><br />
    you may also want <br />
    to check out these <br />
    ac macros at the <br />
    original source <br />
    compiled in the<br />
    <a href="http://autoconf-archive.cryp.to/macros-by-category.html">
    Cryp.to Archive</a><br />
    </p>''',
    "guidod" : '''
    <br />
     <center>
     <img src="http://freespace.sourceforge.net/guidod/photo/pp209_4.jpg"
          width="95" height="137" border="0" alt="guidod photo" />
     <br /><small>
        <a href="mailto:guidod@gmx.de?subject=ac-macro">guidod@gmx.de</a>
     </small>
     </center>
     ''',
    "djmitche" : '''
     <br />
     <center><a href="http://www.modpython.org">
     <img src="http://www.modpython.org/mod_python.gif"
          width="268" height="164" border="0" alt="modpython.org" /></a>
     <br /><small>and</small><br /><b>
        <a href="http://sourceforge.net/users/djmitche/">Dustin Mitchell</a>
     </b>
     </center>
     ''',
    "macros.html" : '''
     <p>&nbsp;</p>
     <p><a href="introduction.html"><b>Welcome Friend,</a></b></p>

     <p class="justify"><span class="justify">&nbsp;
      I'd like to say one small thing beforehand:
      <a href="contribute.html"><em>Please contribute!'</em></a>
      Much effort has been put into this place,
      in the hope that it will be useful to as many people as possible.
     </span></p>

     <p class="justify"><span class="justify">&nbsp;
      Curiously enough, many people seem to be scared away by the idea
      that "their macro is not good enough to be published". Try to look at
      it this way: Nobody is perfect.
     </span></p>

     <p class="justify"><span class="justify">&nbsp;
      Nobody is flamed for minor stylistic deficiency in any 
     <a href="http://www.gnu.org/software/autoconf">ac&nbsp;macro</a>
      published here. - <em>Au&nbsp;contraire, do you know any better
      way to get your code debugged for free by several hundred volunteers? :-)
      </em>&nbsp;<a href="introduction.html"><b>[&gt;&gt;]</b></a>
     </span></p>
     '''
    }
_extras_macros = {
    "djmitche/ax_python_config_var.m4" :
    "dnl @category System Utilities",
    "djmitche/ax_with_python.m4" :
    "dnl @category System Utilities",
    "djmitche/ax_with_apxs.m4" :
    "dnl @category System Utilities",
    "braden/ax_check_gl.m4" :
    "dnl @category Installed Packages",
    "braden/ax_check_glut.m4" :
    "dnl @category Installed Packages",
    "pakin/ax_check_page_aligned_malloc.m4" :
    "dnl @category System Headers",
    "pakin/ax_require_one_func.m4" :
    "dnl @category System Headers",
    "pakin/ax_func_posix_memalign.m4" :
    "dnl @category System Headers"
    }

_extras_html = {
    "P" : "para",
    "DT" : "refcaption",
    "DD" : "refcontent",
    "H2" : "subsection",
    }

_extras_style = {
    "a:link" : { "text-decoration" : "none", "color" : "#000080"  },
    "a:visited" : { "text-decoration" : "none", "color" : "#200060" },
    "refcaption" : { "font-weight" : "bold" },
    "refcontent" : { "text-align" : "justify", "margin-right" : "1em" },
    "subsection" : { "text-align" : "center" },
    "para" : { "text-align" : "justify",
               "margin-right" : "1em", "margin-left" : "1em" },
    }


class AskExtras:
    def subtitle(self, category):
        if category in _extras_info_cat:
            return _extras_info_cat[category]
        return ""
    def remote_href(self, category):
        if category in _extras_remote_cat:
            return _extras_remote_cat[category]
        return ""
    def html_style(self, part):
        if part in _extras_html:
            return _extras_html[part]
        return ""
    def html_info(self, part):
        if part in _extras_info:
            return _extras_info[part]
        remote = self.remote_href(part)
        if remote:
            return ('<p align="right">'+br+n+
                    " you may also want "+br+n+
                    " to check out the "+br+n+
                    " ac macros in the "+br+n+
                    " same category of "+br+n+
                    ' the <a href="'+href_remote+remote+'">'+
                    name_remote+'</a>'+br+n+
                    '</p>'+n)
        return ""
    def doc_macros(self, part):
        if part in _extras_macros:
            return _extras_macros[part]
        return ""
    def extras_html(self):
        return _extras_html
    def extras_style(self):
        return _extras_style

    
class AskStyle:
    def __init__(self, wrapping = None):
        self.wrapping = wrapping
        self.htmltag = { "a" : "" }
        self.style = {}
        self.seen = {}
    def tag_classname(self, tag, classname):
        self.htmltag[tag] = classname
        return self
    def classname_style(self, classname, key, value):
        if classname not in self.style:
            self.style[classname] = { }
        self.style[classname][key] = value
        return self
    def mkcssline(self, items):
        line = ""
        for key, val in items.iteritems():
            if not line:
                line += "{ "
            else:
                line += "; "
            line += key+": "+val
        line += " }"
        return line            
    def cssline(self, name):
        if name in self.style:
            return self.mkcssline(self.style[name])
        if self.wrapping:
            return self.wrapping.cssline(name)
        return None
    def css(self):
        text = ""
        for tag in self.seen:
            lowtag = string.lower(tag)
            classname = self.classname(tag)
            if not classname: continue
            cssline = self.cssline(classname)
            pretext = " "+lowtag+"."+classname+" "
            if len(pretext) < 20:
                pretext += " " * (20 - len(pretext))
            text += pretext+cssline+"\n"
        if "a" in self.seen:
            for classname in [ "a:link", "a:visited" ]:
                cssline = self.cssline(classname)
                text += " "+classname+" "+cssline+"\n"
        return text
    def set_seen(self, tag):
        self.seen[tag] = True
    def classname(self, name):
        if name in self.htmltag:
            return self.htmltag[name]
        if self.wrapping:
            return self.wrapping.classname(name)
        return None
    def tags(self): 
        for item in self.htmltag:
            yield item
        if self.wrapping:
            for item in self.wrapping.htmltaglist():
                if item not in self.htmltag:
                    yield item
    def expand(self, text): # text
        for tag in self.tags():
            classname = self.classname(tag)
            if not classname: continue
            mark = string.lower(tag)+' class="'+classname+'"'
            ends = string.lower(tag)
            s = Match()
            text &= s('<'+tag+'>') >> '<'+mark+'>'
            if s.replaced: self.seen[tag] = True
            text &= s('</'+tag+'>') >> '</'+ends+'>'
            if s.replaced: self.seen[tag] = True
            text &= s('<'+tag+' />') >> '<'+mark+'>'
            if s.replaced: self.seen[tag] = True
            text &= s('<'+ends+' class="'+tag+'">') >> '<'+mark+'>'
            if s.replaced: self.seen[tag] = True
            if tag not in self.seen and \
                   text & s('<'+ends+'[^<>]*]class="'+classname+'"'):
                self.seen[tag] = True
            if tag in self.seen:
                pass # print "tag",tag,"=>",mark
        return text
    
class AskStyleExtras(AskStyle):
    def __init__(self, wrapping = None):
        AskStyle.__init__(self, wrapping)
        self.set_extras(AskExtras())
    def subtitle(self, category):
        return self.extras.subtitle(category)
    def remote_href(self, category):
        return self.extras.remote_href(category)
    def html_style(self, part):
        return self.extras.html_style(part)
    def html_info(self, page):
        return self.extras.html_info(page)
    def doc_macros(self, page):
        return self.extras.doc_macros(page)
    def set_extras(self, extras):
        self.extras = extras
        items = self.extras.extras_html()
        for tag, classname in items.iteritems():
            self.tag_classname(tag, classname)
        items = self.extras.extras_style()
        for classname, settings in items.iteritems():
            for style, value in settings.iteritems():
                self.classname_style(classname, style, value)
