#! /usr/bin/env python
# -*- coding: utf-8 -*-
# @creator (C) 2003 Guido U. Draheim
# @license http://creativecommons.org/licenses/by-nc-sa/2.0/de/

from match import Match
from os_ import *
from subprocess import Popen, PIPE
from os.path import basename
import time

htm = ".html"

class SpellChecker:
    replacing = [
        Match(r"\b[A-Z]+[_][A-Z_]*[A-Z]\b") >> "",
        Match(r"<code>[^<>]*</code>") >> " ",
        Match(r"<[^<>]*>") >> " ",
        Match(r"\&lt\;") >> "<",
        Match(r"\&gt\;") >> ">",
        Match(r"\&quot\;") >> '"',
        Match(r"\&amp\;") >> '&',
        Match(r"\&\w+\;") >> ' ',
        Match(r"<(\w[^<>]*[.][^<>]+)>") >> r" \1 ",
        Match(r"(\b\w+[/][\w/]*\w\b)") >>  r" \1 ",
        Match(r"(-l)(\w+\b)") >> r" lib\1 ",
        Match(r"(-L)(\w+\b)") >> r" lib-\1 ",
        Match(r"(--\w[\w-]*\w\b)") >> r" \1 ",
        Match(r"(-?\w+-[\w-]*\w\b)") >> r" \1 ",
        Match(r"(-[A-Z])(\w+\b)") >> r" \1\2 ",
        Match(r"\=\s?\w+\b") >> r" " ]    
    aspell =  "aspell --language-tag=en list"
    def __init__(self):
        self.words = { }
    def get_documentation(self, page):
        text = page.documentation
        for replace in self.replacing:
            text = text & replace
        return text        
    def spellcheck(self, page):
        spell = Popen(self.aspell, shell=True,
                      stdin=PIPE, stdout=PIPE, close_fds=True)
        # print "pid = %i" % spell.pid
        if spell.poll() is not None:
            print "aspell has already exited: %s" % str(spell.returncode)
            return
        (out, err) = spell.communicate(self.get_documentation(page))
        page.words = [ ]
        for word in out.split():
            if word not in page.words:
                page.words += [ word ]
        for word in page.words:
            if word not in self.words:
                self.words[word] = [ page ]
            else:
                self.words[word] += [ page ]
    def html_spelled(self):
        html = "<ul>"
        for word in sorted(self.words.keys()):
            html += "\n<li>" + word + "<small>"
            comma = ""
            for page in self.words[word]:
                html += comma+' <a href="'+page.name+htm+'">'
                html += basename(page.name)+'</a>'
                comma = ","
            html += "</small>"
        html += "\n</ul>"
        return html
        
class HtmlSearchIndexPage:
    def __init__(self, page):
        self.page = page
        self.title = None
    def pagetype(self):
        return "index"
    def get_title(self):
        if not self._gen_html(): return None
        return self.title
    def html_info(self):
        if not self._gen_html(): return None
        return self.htmlpageinfo
    def html_text(self):
        if not self._gen_html(): return None
        return self.htmlpage
    def gen_html(self):
        self.title = "Search Index"
        self.htmlpageinfo = "#"
        self.htmlpage = self.page.html_spelled()
        
