#! /usr/bin/env python
# -*- coding: utf-8 -*- 100 -*-
# @creator (C) 2003 Guido U. Draheim
# @license http://creativecommons.org/licenses/by-nc-sa/2.0/de/

import os.path
import glob
from os_ import *

class ScanSubdirs:
    def __init__(self, callbacks, o):
        self.o = o
        self.callbacks = callbacks
    def scan(self, topdir = None):
        "scan_subdirs()"
        for name in os.listdir(topdir):
            if name == "." or name == "CVS": continue
            if name == "use" or name == "www": continue
            if os.path.isdir(name):
                if os_path_exists(name+"/Makefile.am"): continue
                if os_path_exists(name+"/acinclude.htm"): continue
                if "." in name: continue
                self.scan_subdir(name)
    def scan_subdir(self, name):
        print "glob "+name+"/*.m4"
        for filename in glob.glob(name+"/*.m4"):
            self.scan_m4(filename, name)
            log_file = filename[:-3] + ".log"
            if os_path_exists(log_file): self.scan_log(log_file, name)
        for filename in glob.glob(name+"/*.txt"):
            self.scan_txt(filename, name)
    def scan_m4(self, filename, into):
        if "scan_m4" in self.callbacks.__class__.__dict__:
            try:
                self.callbacks.scan_m4(filename, into)
            except IOError, e:
                print filename,":",str(e)
    def scan_log(self, filename, into):
        if "scan_log" in self.callbacks.__class__.__dict__:
            try:
                self.callbacks.scan_log(filename, into)
            except IOError, e:
                print filename,":",str(e)
    def scan_txt(self, filename, into):
        if "scan_txt" in self.callbacks.__class__.__dict__:
            try:
                self.callbacks.scan_txt(filename, into)
            except IOError, e:
                print filename,":",str(e)
