dnl @synopsis AX_GCC_CONST_CALL
dnl
dnl @summary defines GCC_CONST_CALL to __attribute__((__const__)) if available
dnl
dnl The macro will compile a test program to see whether the compiler does
dnl understand the per-function postfix pragma.
dnl
dnl @category C
dnl @author Guido U. Draheim <guidod@gmx.de>
dnl @version 2006-08-10
dnl @licence GPLWithACException

AC_DEFUN([AX_GCC_CONST_CALL],[dnl
AC_CACHE_CHECK(
 [whether the compiler supports function __attribute__((__const__))],
 ax_cv_gcc_const_call,[
 AC_TRY_COMPILE([__attribute__((__const__))
 int f(int i) { return i; }],
 [],
 ax_cv_gcc_const_call=yes, ax_cv_gcc_const_call=no)])
 if test "$ax_cv_gcc_const_call" = yes; then
   AC_DEFINE([GCC_CONST_CALL],[__attribute__((__const__))],
    [most gcc compilers know a function __attribute__((__const__))])
 fi
])
